1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

Talk IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

Dieses Thema im Forum "IPC" wurde erstellt von hujihu, 30. Dezember 2012.

  1. hujihu
    Offline

    hujihu Hacker

    Registriert:
    11. Juni 2010
    Beiträge:
    478
    Zustimmungen:
    6
    Punkte für Erfolge:
    18
    Wie schon oben beschrieben versuche den fail2ban zu installieren über ipc aber kommt immer der meldung "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch!" obwohl der cccam läuft ?!
     
    #1
  2. phantom

    Nervigen User Advertisement

  3. aragorn
    Online

    aragorn Guest

    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    das script liest die functions.sh ein, ermittelt daraus CCURL (localhost), liest aus der CCcam.cfg die WEBINFO zugangsdaten aus sowie den WEBINFO port und versucht dann das CCcam WebIf abzurufen um die aktuelle CCcam version zu ermitteln - wenn das fehlschlägt kommt die Fehlermeldung aus der überschrift..
     
    #2
  4. hujihu
    Offline

    hujihu Hacker

    Registriert:
    11. Juni 2010
    Beiträge:
    478
    Zustimmungen:
    6
    Punkte für Erfolge:
    18
    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    Auf dem 2 ten Server geht es , der ist aber neu aufgesetzt. Vielleicht wechsel ich mal den Server .

    Wie kann ich es noch nachträglich bearbeiten" fail2ban cfg " ?
     
    Zuletzt bearbeitet: 30. Dezember 2012
    #3
  5. aragorn
    Online

    aragorn Guest

    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    an der fail2ban.cfg musst du eigentlich nichts ändern..

    für das script ist wichtig zu wissen welche CCcam version benutzt wird, um die richtigen filter zu schreiben, da sich der logeintrag für zum beispiel "bad command" von 2.0.11 , 2.1.1 zu den neueren verändert hat (das hatte ich aber mein ich hier irgendwo schonmal irgendwo detailiert gepostet..)

    also an den fail2ban cfg's musst du nix ändern sondern wenn dann an deiner CCcam.cfg damit das fail2ban.sh script sich installieren und sowohl die jail.conf als auch die entsprechenden filter schreiben/anpassen kann..
     
    #4
  6. hujihu
    Offline

    hujihu Hacker

    Registriert:
    11. Juni 2010
    Beiträge:
    478
    Zustimmungen:
    6
    Punkte für Erfolge:
    18
    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    Wie kann ich " bad commands " stoppen ? Geht es auch mit Installation von " fail2ban " weg ?

    - - - Aktualisiert - - -



    Wie kann ich es dann installieren wenn diese Fehlermeldung kommt ?
     
    #5
  7. aragorn
    Online

    aragorn Guest

    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    nein "bad commands" kommen trotz fail2ban weiterhin.. fail2ban würde dann nur dafür sorgen das die verursacher für eine bestimmte zeit ausgesperrt werden

    vermeiden tust du es indem du gleichmässig für sowohl server als auch clients die selbe cccam version benutzen würdest..
    ich vermeide es >=2.2.x auf dem server zu haben weil die meinermeinung nach diejenigen sind, die überhaupt erst sowas initialisieren - andere meinen aber das alles auf mind. 2.2.x sein sollte damit "bad commands" aufhören aber nunja..


    dann wurde es eigentlich noch garnicht installiert..
    bevor das script irgendwas installiert, prüft es ob überhaupt oder welche cccam version installierst is..
     
    #6
  8. hujihu
    Offline

    hujihu Hacker

    Registriert:
    11. Juni 2010
    Beiträge:
    478
    Zustimmungen:
    6
    Punkte für Erfolge:
    18
    Es ist die cccam 2.3.0 installiert und läufft schon seit einiger zeit nur es kommt sehr oft zum Absturz.

    Jetzt habe ich mein neuen Server so weit fertig und fail2ban kann ich trotzdem nicht installieren, obwohl cccam 2.3.0 läuft.

    Hat jemand eine Idee ?

    Danke voraus

    Grüße hujihu
     
    Zuletzt von einem Moderator bearbeitet: 10. Januar 2013
    #7
  9. al-x83
    Offline

    al-x83 Super-Moderator Digital Eliteboard Team

    Registriert:
    10. Januar 2012
    Beiträge:
    13.421
    Zustimmungen:
    12.684
    Punkte für Erfolge:
    113
    Geschlecht:
    männlich
    Beruf:
    SysAdmin
    Ort:
    Paradise City
    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    Was kommt als Fehlermeldung. Mein Shining funktioniert heut aufgrund des Nebels nicht.

    Den Anhang 67649 betrachten
     
    #8
    chrisbi, mrwong, Linsoft und 2 anderen gefällt das.
  10. hujihu
    Offline

    hujihu Hacker

    Registriert:
    11. Juni 2010
    Beiträge:
    478
    Zustimmungen:
    6
    Punkte für Erfolge:
    18
    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    Also "fail2ban" lässt sich gar nicht installieren.
    Wie hier unten schon steht, fail2ban benötigt ein laufendes cccam, obwohl der cccam schon aktiv ist???



    Den Anhang 67656 betrachten


     
    Zuletzt bearbeitet: 10. Januar 2013
    #9
  11. aragorn
    Online

    aragorn Guest

    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    poste mal bitte die ausgabe des befehls: i i
    (bitte in
    Code:
    )
    [/B]
     
    #10
  12. jensebub
    Offline

    jensebub Stamm User

    Registriert:
    8. Mai 2010
    Beiträge:
    1.059
    Zustimmungen:
    1.717
    Punkte für Erfolge:
    113
    Geschlecht:
    männlich
    Beruf:
    hab ich
    Ort:
    abvomweltlichen
    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    Hallo,
    wenn es nicht automatisch über das IPC-Onlinescript funktioniert, könntest du noch fail2ban manuell installieren, wie hier beschrieben:

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?



    dabei müsstest du aber alle jail-regeln selber erstellen, oder bearbeiten.

    Gruß
    jensebub
     
    #11
    1 Person gefällt das.
  13. hujihu
    Offline

    hujihu Hacker

    Registriert:
    11. Juni 2010
    Beiträge:
    478
    Zustimmungen:
    6
    Punkte für Erfolge:
    18
    In IPC habe ich unter "cccam fail2ban" versucht zu installieren und dann kommt der Fehler, oder muss es anders installiert werden?



    Den Anhang 67659 betrachten


    Und wenn ich auf Installieren " i " gehe kommt der Fehlermeldung ,"Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch!"

    Schön und gut aber das ist nicht die lösung für. Kann mann es über IPC garnicht installieren ?
    Und bin ich der einzige bei wem es vorkommt ?

     
    Zuletzt von einem Moderator bearbeitet: 10. Januar 2013
    #12
  14. jensebub
    Offline

    jensebub Stamm User

    Registriert:
    8. Mai 2010
    Beiträge:
    1.059
    Zustimmungen:
    1.717
    Punkte für Erfolge:
    113
    Geschlecht:
    männlich
    Beruf:
    hab ich
    Ort:
    abvomweltlichen
    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    Also ich habe es jetzt zweimal ausprobiert, einmal über i os fail2ban.sh und einmal über c fail2ban, und ich muss sagen, bei mir funktioniert es einwandfrei.

    Gruß
    jensebub
     
    #13
    hujihu gefällt das.
  15. aragorn
    Online

    aragorn Guest

    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    über sowohl "i os fail2ban.sh" als auch über "c fail2ban" wird es installiert und auch konfiguriert (aber auf cccam bezogen, so wie es auch in der beschreibung für das script steht..)

    in post#10 fragte ich dich aber auch etwas..


    und wenn du nur fail2ban aber nicht für cccam installieren willst machst du das was jensebub dir geschrieben hat
     
    #14
  16. hujihu
    Offline

    hujihu Hacker

    Registriert:
    11. Juni 2010
    Beiträge:
    478
    Zustimmungen:
    6
    Punkte für Erfolge:
    18
    AW: IPC & fail2ban "Fuer fail2ban wird ein laufendes CCcam benoetigt! Abbruch! "

    Hast über IPC versucht zu installieren ( Putty ) ?


    Schön und gut aber das ist nicht die lösung für. Kann mann es über IPC garnicht installieren ?
    Und bin ich der einzige bei wem es vorkommt ?

     
    #15

Diese Seite empfehlen